Bug 15384 - Div does not notice when grandparent changes height
Summary: Div does not notice when grandparent changes height
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: data:text/html,<div style="border: so...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-05 15:40 PDT by Eric Seidel (no email)
Modified: 2008-09-16 10:34 PDT (History)
1 user (show)

See Also:


Attachments
[WIP] Track and update descendants with percentage heights (7.57 KB, patch)
2008-07-26 18:16 PDT, mitz
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-10-05 15:40:29 PDT
Div does not notice when grandparent changes height

Try grabbing the resize widget and resizing *only* vertically.  (resize: vertical doesn't work correctly either, filed as bug 15383)

<div style="border: solid; width: 200px; position: absolute; overflow: hidden; resize: vertical; height: 200px;"><div><div style="height: 50%; background: red"></div></div></div>
Comment 1 mitz 2008-07-16 21:06:36 PDT
<rdar://problem/6082111>
Comment 2 mitz 2008-07-23 22:04:19 PDT
(In reply to comment #1)
> <rdar://problem/6082111>

The above is not the same as this bug.
Comment 3 mitz 2008-07-26 18:16:55 PDT
Created attachment 22496 [details]
[WIP] Track and update descendants with percentage heights

Work in progress. May have a significant performance impact.
Comment 4 Dave Hyatt 2008-07-26 19:09:37 PDT
Although I don't really see anything wrong with the patch, I'm not sure how important it is to complicate the code to fix something that is effectively just a quirks mode problem.


Comment 5 mitz 2008-09-16 10:34:51 PDT
Fixed in <http://trac.webkit.org/changeset/36513>.